> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/boundary-events/error.md).

# Error

Use **Error Events** to handle exceptions or errors in a process by doing some action. It is represented as an Icon shown below:&#x20;

&#x20;

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2FU2PEasRKXwPJM9VXbcWh%2Fimage.png?alt=media\&token=c33c3335-c3d9-41e0-b515-e5a2b8d9360d)

**Purpose**&#x20;

**Error** Events are used to handle the occurrence of errors during the execution of a certain task in the process flow. For example, let's say if a Java Task is executed with errors, user can use Error Event to send an error message.&#x20;

**Error Event** can also be used as a boundary event to trigger another event. Error event can execute another node task when an exception occurs in the process. It can be attached to any Activity node task where user would like to be notified of exceptions occurring there.&#x20;

**Error Event Configuration Properties:**&#x20;

Error Configuration panel has one tab to define property.&#x20;

1. **Error**&#x20;

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2F78AHG2T9ywt5YUUxz4Fg%2Fimage.png?alt=media\&token=e24a9a27-df41-48a3-9446-96e980023b99)

Setting inside Error Tab is described as below:&#x20;

| Property  | Mandatory | Default | Description                          |
| --------- | --------- | ------- | ------------------------------------ |
| Exception | Yes       |         | The type of exception to be handled. |

In **Error tab**, **"Add Exception Row"** button to add more exceptions, **"Delete"** button to remove an existing exception. **"Open Mapping Parameter"** button is used to map parameters of exception node task. When click **Open Mapping Parameter** button, the system will redirect user to **Mapping Parameter** screen and the user can click **Mapping Parameter Input** line or **Mapping Parameter** **Output** line to set mapping parameter for this **Error eventTask**.&#x20;

{% hint style="info" %}
**Note**: User must click **"Save Panel"** to save all configuration changes.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/boundary-events/error.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
